Bug 803641 - [ovirt] [web-admin] reinitialize data-center: change error message when storage pool status != UP
[ovirt] [web-admin] reinitialize data-center: change error message when stora...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: Einav Cohen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 06:37 EDT by Haim
Modified: 2016-02-10 12:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 17:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-15 06:37:29 EDT
Description of problem:

- reinitialize data-center - status = UP and running 
- window is opened, storage domains offered to user = (storage domain which is 
active in pool and running)
- selecting this storage domain produces an error: Data-center is unknown state 

required behavior: 
1) the whole purpose of this scenario is to rebuild pool over new storage domain, as we assume that current one is broken, filter out this domain
2) backend fails on CAN_DO_ACTION: 

2012-03-15 12:32:10,492 WARN  [org.ovirt.engine.core.bll.storage.RecoveryStoragePoolCommand] (http--0.0.0.0-8080-5) CanDoAction of action RecoveryStoragePool failed. Reasons:VAR__TYPE__STORAGE__DOMAIN,VAR__ACTION__RECOVER_POOL,VAR__TYPE__STORAGE__DOMAIN,ACTION_TYPE_FAILED_STORAGE_DOMAIN_STATUS_ILLEGAL2

please - map this CAN_DO to eligible error message.
Comment 1 Haim 2012-03-15 06:40:11 EDT
ignore bullet 1 - my mistake - please fix bullet 2
Comment 2 Itamar Heim 2013-01-30 17:51:32 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.